﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Input;

namespace XDGAutoSizeFieldContextMenuCase
{
    public class ResizeCommand : ICommand
    {
        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            MenuItem MI = parameter as MenuItem;
            ContextMenu menu = MI.Parent as ContextMenu;

            LabelPresenter LP = menu.PlacementTarget as LabelPresenter;

            LP.Field.PerformAutoSize();
            
        }
    }
}
