﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGAutoSizeFieldContextMenuCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 10; i++)
            {
                if (i < 9)
                {
                    Data.Add(new SampleData()
                    {
                        ID = i + 1,
                        Name = "Name " + i.ToString()
                    });
                }
                else
                {
                    Data.Add(new SampleData()
               {
                   ID = i + 1,
                   Name = "Very very very long name used for field resize"
               });
                }
            }
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Name { get; set; }
         
    }
}
